h08297
s 00090/00000/00000
d D 1.1 83/03/23 16:17:35 bog 1 0
c date and time created 83/03/23 16:17:35 by bog
e
u
4
U
t
T
I 1
#############################################################################
#									    #
#	This material is confidential and is furnished under		    #
#	a written license agreement.  It may not be used,		    #
#	copied or disclosed to others except in accordance		    #
#	with the terms of that agreement.				    #
#									    #
#	Copyright (C) 1982 Graphic Software Systems, Inc.		    #
#	All rights reserved.						    #
#									    #
#	Function:  							    #
#		Subroutine EmIPut (I,Common,VarPtr)			    #
#			Input	I:	Integer value to stuff		    #
#				Common:	CHARACTER <common> code		    #
#				VarPtr:	Integer <variable> index	    #
#		    Variable stuffer for Menu subsystem.  Stuff I into	    #
#		    integer <variable> VarPtr in <common> Common.	    #
#									    #
#	Called By:							    #
#									    #
#	Routines Called:						    #
#									    #
#############################################################################
 
Subroutine EmIPut(I,Common,VarPtr)
CHARACTER Common
INTEGER I,VarPtr
 
CHARACTER C
INTEGER V
 
BEGINCOMMON
COMMON(BEAMSTATE)
COMMON(COMMCAPABILITY)
#COMMON(CONFIG)
COMMON(COMMSTATE)
#COMMON(DRIVER)
COMMON(INITIALIZATION)
COMMON(MENUMACHINE)
#COMMON(SPECIALKEYS)
#COMMON(STRAPS)
#COMMON(SWITCHES)
ENDCOMMON
 
C = Common			# Assume not indexed access
V = VarPtr
 
If (C < 0) {			# Indexed access
  V = V+MenIx-1			#  is 1-based
  C = -C			# Make <common> positive
  }
 
#Switch (C) {				# Switch on commons
{Goto (101,102,103,104,105),C
 
#  Case MEmBeamState:	IBmSt(V) = I
    101 IBmSt(V) = I
    Goto 199
 
# Case MCommCap:	ICmCp(V) = I
    102 ICmCp(V) = I
    Goto 199
 
# Case MCommState:	ICmSt(V) = I
    103 ICmSt(V) = I
    Goto 199
 
# Case MEmInit:		IInit(V) = I
    104 IInit(V) = I
    Goto 199
 
# Case MenuMachine:	IMenu(V) = I
    105 IMenu(V) = I
#   Goto 199
 
# Case MSpecialKeys:	ISpKey(V) = I
#   106 ISpKey(V) = I
#   Goto 199
 
# Case MEmStraps:	IStrap(V) = I
#   107 IStrap(V) = I
#   Goto 199
 
# Case MEmSwitches:	ISwtch(V) = I
#   108 ISwtch(V) = I
 
  199 Continue
  }
Return
End
E 1
